OpenCV: cv::viz::WText Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WText Class Reference
3D Visualizer » Widget

Text and image widgets. More...

`#include "widgets.hpp"`

Inheritance diagram for cv::viz::WText:

## Public Member Functions
| WText (const String &text, const Point &pos, int font_size=20, const Color &color=Color::white())
| Constructs a WText. More...
String | getText () const
| Returns the current text content of the widget. More...
void | setText (const String &text)
| Sets the text content of the widget. More...
Public Member Functions inherited from cv::viz::Widget2D
| Widget2D ()
void | setColor (const Color &color)
| Sets the color of the widget. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Detailed Description

Text and image widgets.

This 2D Widget represents text overlay.

## Constructor & Destructor Documentation

## ◆ WText()

cv::viz::WText::WText | ( | const String & | text,
|  | const Point & | pos,
|  | int | font_size = `20`,
|  | const Color & | color = `Color::white()`
| ) |  |

Constructs a WText.

Parameters

  text | Text content of the widget.
  pos | Position of the text.
  font_size | Font size.
  color | Color of the text.

## Member Function Documentation

## ◆ getText()

String cv::viz::WText::getText | ( |  | ) | const

Returns the current text content of the widget.

## ◆ setText()

void cv::viz::WText::setText | ( | const String & | text | ) |

Sets the text content of the widget.

Parameters

  text | Text content of the widget.

The documentation for this class was generated from the following file:

- viz/include/opencv2/viz/widgets.hpp